#ifndef LATTICEDESCRIPTORSQR_HH_
#define LATTICEDESCRIPTORSQR_HH_


#include "LatticeDescriptor.hh"

namespace biu
{

		/**
		 * Lattice property handler for the integer square lattice.
		 * 
		 * @author Martin Mann, Sebastian Will, Andreas Richter
		 */
	
	class LatticeDescriptorSQR : public LatticeDescriptor
	{
	protected:
		virtual unsigned int getNeighborDataSize() const;
		virtual const NeighborData *getNeighborData() const;
		virtual unsigned int getAutomorphismDataSize() const;
		virtual const AutomorphismData *getAutomorphismData() const;
	public:
		LatticeDescriptorSQR();
		virtual ~LatticeDescriptorSQR();
	};

} // namespace biu

#endif /*LATTICEDESCRIPTORSQR_HH_*/
